pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/42132: pkg_add can't install packages in 5.0

>Number:         42132
>Category:       pkg
>Synopsis:       pkg_add can't install packages in 5.0
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          doc-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Sep 27 14:25:00 +0000 2009
>Originator:     Stathis Kamperis
>Release:        5.0.1
NetBSD 5.0.1 NetBSD 5.0.1 (GENERIC) #0: Thu Jul 30 01:039:11 UTC 2009 
builds@b8lds/ab/netbsd-5-0-1-RELEASE/src/sys/arch/i386/compile/GENERIC i386
After a clean install, I set the PKG_PATH (by uncommenting the respective
line in root's .profile) and try to pkg_add some package, e.g., emacs-

Then, pkg_add fails with tons of error of the form:
pkg_add: Couldn't remove /usr/pkg/foo/bar/XXX file

The thing is that these files don't even exist!

It's not specific to emacs package. Other packages fail as well, e.g., 

I'm running 5.0.1/i386 and using this as PKG_PATH:

See also this thread:


Pass -f to pkg_add installs many of the failed packages.

Home | Main Index | Thread Index | Old Index